## MLNX_OFED_SRC-debian-26.01-1.0.0.0.tgz

=== CMakeLists.txt ===
# COPYRIGHT (c) 2016 Obsidian Research Corporation. See COPYING file
# Run cmake as:
#  mkdir build
#  cmake -GNinja ..
#  ninja
#
# Common options passed to cmake are:
#  -DIN_PLACE=1
#      Configure the build to be run from the build directory, this results in something
#      that is not installable.
#  -DCMAKE_EXPORT_COMPILE_COMMANDS=1
#      Write a compile_commands.json file for clang tooling
#  -DCMAKE_BUILD_TYPE=RelWithDebInfo
#      Change the optimization level, Debug disables optimization,
#      Release is for packagers
#  -DENABLE_VALGRIND=0 (default enabled)
#      Disable valgrind notations, this has a tiny positive performance impact
#  -DENABLE_RESOLVE_NEIGH=0 (default enabled)
#      Do not link to libnl and do not resolve neighbours internally for Ethernet,
#      and do not build iwpmd.
#  -DENABLE_STATIC=1 (default disabled)
#      Produce static libraries along with the usual shared libraries.
#  -DVERBS_PROVIDER_DIR='' (default /usr/lib.../libibverbs)
#      Use the historical search path for providers, in the standard system library.
#  -DNO_COMPAT_SYMS=1 (default disabled)
#      Do not generate backwards compatibility symbols in the shared
#      libraries. This may is necessary if using a dynmic linker that does
#      not support symbol versions, such as uclibc.
#  -DIOCTL_MODE=write (default both)
#      Disable new kABI ioctl() support and support only the legacy write
#      path. May also be 'ioctl' to disable fallback to write.
#  -DIBACM_SERVER_MODE_DEFAULT (default unix)
#      Selects how clients can connect to this server:
#      open) Allow incoming connections from any TCP client (internal or external).
#      loop) Limit incoming connections for server_port to 127.0.0.1.
#      unix) Use unix-domain sockets, hence limits service to the same machine.
#  -DIBACM_ACME_PLUS_KERNEL_ONLY_DEFAULT (default 0)
#      If non-zero, limit incoming requests to kernel or the ib_acme utility
#      (i.e. do not serve librdmacm requests)
#  -DPYTHON_EXECUTABLE
#      Override automatic detection of python to use a certain
#      exectuable. This can be used to force the build to use python2 on a
#      system that has python3 installed. Otherwise the build automatically
#      prefers python3 if available.
#   -DNO_PYVERBS=1 (default, build pyverbs)
#      Invoke cython to build pyverbs. Usually you will run with this option
#      set
#   -DENABLE_IBDIAGS_COMPAT=True (default False)
#      Include obsolete scripts. These scripts are replaced by C programs with
#      a different interface now.
#   -DNO_MAN_PAGES=1 (default 0, build/install the man pages)
#      Disable man pages. Allows rdma-core to be built and installed
#      (without man pages) when neither pandoc/rst2man nor the pandoc-prebuilt
#      directory are available.
#   -DENABLE_LTTNG (default, no tracing support)
#      Enable LTTng tracing.
#   -DENABLE_SRP_COMPAT=1 (default disabled)
#      Avoid using modern parameters in the systemd unit files to keep
#      compatibility with old systemd versions.

if (${CMAKE_VERSION} VERSION_LESS "3.18.1")
	# Centos 7 support
	cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
else()
	cmake_minimum_required(VERSION 3.18.1 FATAL_ERROR)
endif()
project(rdma-core C)

# CMake likes to use -rdynamic too much, they fixed it in 3.4.
if(POLICY CMP0065)
  cmake_policy(SET CMP0065 NEW)
else()
  # .. but we really do want to opt out.
  string(REPLACE "-rdynamic" "" CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "${CMAKE_SHARED_LIBRARY_LINK_C_FLAGS}")
endif()

# Make RDMA_CHECK_C_LINKER_FLAG work better
if(POLICY CMP0056)
  cmake_policy(SET CMP0056 NEW)
endif()

set(PACKAGE_NAME "RDMA")

# See Documentation/versioning.md
set(PACKAGE_VERSION "61.0")
# When this is changed the values in these files need changing too:
#   debian/control
#   debian/libibverbs1.symbols
set(IBVERBS_PABI_VERSION "59")
set(IBVERBS_PROVIDER_SUFFIX "-rdmav${IBVERBS_PABI_VERSION}.so")

#-------------------------
# Basic standard paths

# Override the CMAKE_INSTALL_ dirs to be under the build/ directory
if (IN_PLACE)
  set(CMAKE_INSTALL_SYSCONFDIR "${PROJECT_BINARY_DIR}/etc")
  set(CMAKE_INSTALL_BINDIR "${PROJECT_BINARY_DIR}/bin")
  set(CMAKE_INSTALL_SBINDIR "${PROJECT_BINARY_DIR}/bin")
  set(CMAKE_INSTALL_PREFIX "${PROJECT_BINARY_DIR}")
  set(CMAKE_INSTALL_LIBDIR "lib")
  set(CMAKE_INSTALL_INCLUDEDIR "include")
endif()

include(GNUInstallDirs)
# C include root
set(BUILD_INCLUDE ${PROJECT_BINARY_DIR}/include)
# Executables
set(BUILD_BIN ${PROJECT_BINARY_DIR}/bin)
# Libraries
set(BUILD_LIB ${PROJECT_BINARY_DIR}/lib)
# Static library pre-processing
set(BUILD_STATIC_LIB ${PROJECT_BINARY_DIR}/lib/statics)
# Used for IN_PLACE configuration
set(BUILD_ETC ${PROJECT_BINARY_DIR}/etc)
set(BUILD_PYTHON ${PROJECT_BINARY_DIR}/python)

set(IBDIAG_CONFIG_PATH "${CMAKE_INSTALL_FULL_SYSCONFDIR}/infiniband-diags")
set(IBDIAG_NODENAME_MAP_PATH "${CMAKE_INSTALL_FULL_SYSCONFDIR}/rdma/ib-node-name-map")

set(CMAKE_INSTALL_INITDDIR "${CMAKE_INSTALL_SYSCONFDIR}/init.d"
  CACHE PATH "Location for init.d files")
set(CMAKE_INSTALL_MODPROBEDIR "${CMAKE_INSTALL_SYSCONFDIR}/modprobe.d/"
  CACHE PATH "Location for modprobe.d files")
set(CMAKE_INSTALL_SYSTEMD_SERVICEDIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/system"
  CACHE PATH "Location for systemd service files")
set(CMAKE_INSTALL_SYSTEMD_BINDIR "/lib/systemd"
  CACHE PATH "Location for systemd extra binaries")

set(ACM_PROVIDER_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/ibacm"
  CACHE PATH "Location for ibacm provider plugin shared library files.")
# Location to find the provider plugin shared library files
set(VERBS_PROVIDER_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/libibverbs"
  CACHE PATH "Location for provider plugin shared library files. If set to empty the system search path is used.")

# Allow the 'run' dir to be configurable, this historically has been /var/run, but
# some systems now use /run/
set(CMAKE_INSTALL_RUNDIR "var/run"
  CACHE PATH "Location for runtime information, typically /var/run, or /run")
if(NOT IS_ABSOLUTE ${CMAKE_INSTALL_RUNDIR})
  set(CMAKE_INSTALL_FULL_RUNDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_RUNDIR}")
else()
  set(CMAKE_INSTALL_FULL_RUNDIR "${CMAKE_INSTALL_RUNDIR}")
endif()

# Allow the udev rules.d dir to be configurable, this has historically been
# /lib/udev/rules.d/, but some systems now prefix /usr/
set(CMAKE_INSTALL_UDEV_RULESDIR "lib/udev/rules.d"
  CACHE PATH "Location for system udev rules, typically /lib/udev/rules.d or /usr/lib/udev/rules.d")
if(NOT IS_ABSOLUTE ${CMAKE_INSTALL_UDEV_RULESDIR})
  set(CMAKE_INSTALL_FULL_UDEV_RULESDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_UDEV_RULESDIR}")
else()
  set(CMAKE_INSTALL_FULL_UDEV_RULESDIR "${CMAKE_INSTALL_UDEV_RULESDIR}")
endif()

# Allow the perl library dir to be configurable
set(CMAKE_INSTALL_PERLDIR "share/perl5"
  CACHE PATH "Location for system perl library, typically /usr/share/perl5")
if(NOT IS_ABSOLUTE ${CMAKE_INSTALL_PERLDIR})
  set(CMAKE_INSTALL_FULL_PERLDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_PERLDIR}")
else()
  set(CMAKE_INSTALL_FULL_PERLDIR "${CMAKE_INSTALL_PERLDIR}")
endif()

# Location to place provider .driver files
if (IN_PLACE)
  set(CONFIG_DIR "${BUILD_ETC}/libibverbs.d")
  set(VERBS_PROVIDER_DIR "${BUILD_LIB}")
  set(ACM_PROVIDER_DIR "${BUILD_LIB}/ibacm")
else()
  set(CONFIG_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/libibverbs.d")
endif()

set(DISTRO_FLAVOUR "None" CACHE
  STRING "Flavour of distribution to install for. This primarily impacts the init.d scripts installed.")

#-------------------------
# Add MLNX OFED compat headers to build against old kernels
execute_process(COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_SOURCE_DIR}/mlnx-compat-includes" "${BUILD_INCLUDE}")

#-------------------------
# Load CMake components
set(BUILDLIB "${PROJECT_SOURCE_DIR}/buildlib")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${BUILDLIB}")

include(CMakeParseArguments)
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckIncludeFile)
include(CheckTypeSize)
include(RDMA_EnableCStd)
include(RDMA_Sparse)
include(RDMA_BuildType)
include(RDMA_DoFixup)
include(publish_headers)
include(rdma_functions)
include(pyverbs_functions)

check_c_compiler_flag("-Wcast-align=strict" HAVE_WCAST_ALIGN_STRICT)

if (NO_MAN_PAGES)
  # define empty stub functions to omit man page processing
  function(rdma_man_pages)
  endfunction()
  function(rdma_alias_man_pages)
  endfunction()
else()
  include(rdma_man)
endif()

if (NOT DEFINED ENABLE_STATIC)
  set(ENABLE_STATIC "OFF" CACHE BOOL "Produce static linking libraries as well as shared libraries.")
endif()

#-------------------------
# Setup the basic C compiler
RDMA_BuildType()
include_directories(${BUILD_INCLUDE})

# Working means that the compiler doesn't spew output that confuses cmake's
# capabilitiy tests. ie cmake will test and succeed a simple program
RDMA_Check_C_Compiles(HAVE_WORKING_WERROR "int main(int argc,const char *argv[]) { return 0; }" "")
if (NOT HAVE_WORKING_WERROR)
  message(FATAL_ERROR "-Werror doesn't work (compiler always creates warnings?). Werror is required for CMake.")
endif()

# Use Python modules based on CMake version for backward compatibility
if (${CMAKE_VERSION} VERSION_LESS "3.12")
        FIND_PACKAGE(PythonInterp REQUIRED)
        FIND_PACKAGE(PythonLibs ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR} EXACT)
elseif (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.12")
        set(Python_EXECUTABLE ${PYTHON_EXECUTABLE})
        FIND_PACKAGE(Python 3 REQUIRED COMPONENTS Interpreter OPTIONAL_COMPONENTS Development)
        set(PYTHON_EXECUTABLE ${Python_EXECUTABLE})
        if(Python_Development_FOUND)
            set(PYTHONLIBS_FOUND ${Python_Development_FOUND})
            set(PYTHON_LIBRARIES ${Python_LIBRARIES})
            set(PYTHON_INCLUDE_DIRS ${Python_INCLUDE_DIRS})
        endif()
endif()

set(CYTHON_EXECUTABLE "")
if(NOT NO_PYVERBS AND PYTHONLIBS_FOUND)
    execute_process(COMMAND "${PYTHON_EXECUTABLE}" -c
        "import sysconfig; print(sysconfig.get_path(\"platlib\"))"
        OUTPUT_VARIABLE py_path)
    string(STRIP ${py_path} py_path)
    set(CMAKE_INSTALL_PYTHON_ARCH_LIB "${py_path}"
        CACHE PATH "Location for architecture specific python libraries")

    # See PEP3149
    execute_process(COMMAND "${PYTHON_EXECUTABLE}" -c
        "import sysconfig; x = sysconfig.get_config_var(\"EXT_SUFFIX\"); print(x if x else '.so')"
        OUTPUT_VARIABLE py_path)
    string(STRIP ${py_path} CMAKE_PYTHON_SO_SUFFIX)

    FIND_PACKAGE(cython)
elseif(NOT NO_PYVERBS AND NOT PYTHONLIBS_FOUND)
    message(WARNING "pyverbs build requested but python development files not found")
endif()

find_program(SYSTEMCTL_BIN systemctl HINTS "/usr/bin" "/bin")
if (NOT SYSTEMCTL_BIN)
  set (SYSTEMCTL_BIN "/bin/systemctl")
endif()

RDMA_CheckSparse()

# Require GNU99 mode
RDMA_EnableCStd()

# Extra warnings. Turn on -Wextra to keep aware of interesting developments from gcc,
# but turn off some that are not terribly useful for this source.
# FIXME: I wonder how many of the signed compares are bugs?
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WARNINGS
  "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WMISSING_PROTOTYPES "-Wmissing-prototypes")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WMISSING_DECLARATIONS "-Wmissing-declarations")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WWRITE_STRINGS "-Wwrite-strings")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WFORMAT_2 "-Wformat=2")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WCAST_FUNCTION "-Wcast-function-type")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WFORMAT_NONLITERAL "-Wformat-nonliteral")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WDATE_TIME "-Wdate-time")
RDMA_AddOptCFlag(CMAKE_C_FLAGS HAVE_C_WNESTED_EXTERNS "-Wnested-externs")

# At some point after 4.4 gcc fixed shadow to ignore function vs variable
# conflicts
RDMA_Check_C_Compiles(HAVE_C_WORKING_SHADOW "
 #include <unistd.h>
 int main(int argc,const char *argv[]) { int access = 1; return access; }"

=== Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2007-2017 Nicira, Inc.
# Copyright (c) 2023-2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2013 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009-2018 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009, 2010, 2011, 2012, 2014, 2016 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2013 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2017 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009, 2010, 2011, 2012, 2014 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright 2015 Cloudbase Solutions Srl
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License.You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.See the
# License for the specific language governing permissions and limitations
# under the License.

# Copyright (C) 2016 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/doca-openvswitch
pkglibdir = $(libdir)/doca-openvswitch
pkglibexecdir = $(libexecdir)/doca-openvswitch
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = -I $(top_srcdir)/include/windows -I \
#	$(top_srcdir)/datapath-windows/include \
#	$(PTHREAD_INCLUDES) $(MSVC_CFLAGS)
#am__append_2 = $(PTHREAD_LDFLAGS) $(MSVC64_LDFLAGS)
#am__append_3 = -D_FILE_OFFSET_BITS=64 \
#	-DALLOW_EXPERIMENTAL_API
#am__append_4 = -DDOCA_ALLOW_EXPERIMENTAL_API
#am__append_5 = -DNDEBUG
#am__append_6 = -fomit-frame-pointer
bin_PROGRAMS = utilities/ovs-appctl$(EXEEXT) \
	utilities/ovs-testcontroller$(EXEEXT) \
	utilities/ovs-dpctl$(EXEEXT) utilities/ovs-ofctl$(EXEEXT) \
	utilities/ovs-vsctl$(EXEEXT) ovsdb/ovsdb-tool$(EXEEXT) \
	ovsdb/ovsdb-client$(EXEEXT) vtep/vtep-ctl$(EXEEXT)
sbin_PROGRAMS = vswitchd/ovs-vswitchd$(EXEEXT) \
	ovsdb/ovsdb-server$(EXEEXT)
EXTRA_PROGRAMS = $(am__EXEEXT_1)
noinst_PROGRAMS = $(am__EXEEXT_2) tests/test-ovsdb$(EXEEXT) \
	tests/test-lib$(EXEEXT) tests/ovstest$(EXEEXT) \
	tests/test-stream$(EXEEXT) tests/test-strtok_r$(EXEEXT) \
	tests/test-type-props$(EXEEXT)
#am__append_7 = manpage-check
#am__append_8 = manpage-check
#am__append_9 = flake8-check
#am__append_10 = ovsext
#am__append_11 = ovsext_clean
#am__append_12 = docs-check
#am__append_13 = docs-check
#am__append_14 = clean-docs

# Only build the manpage if DOCA_OFFLOAD is enabled
#am__append_15 = \
#	ovs-doca-tcpdump.8.rst


# we use DPDK_NETDEV as we use dpif-doca for dpdk as well
#am__append_16 = lib/dpif-doca-tcpdump-hooks.inc
#am__append_17 = ${PTHREAD_LIBS}

# Build library of avx512 code with CPU ISA CFLAGS enabled. This allows the
# compiler to use the ISA features required for the ISA optimized code-paths.
# Use LDFLAGS to compile only static library of this code, as it should be
# statically linked into vswitchd even if vswitchd is a shared build.
am__append_18 = lib/libopenvswitchavx512.la
am__append_19 = lib/libopenvswitchavx512.la
am__append_20 = \
	-mavx512bw \
	-mavx512vl

am__append_21 = \
	lib/dpif-doca-extract-avx512.c \
	lib/dpif-doca-lookup-avx512-gather.c \
	lib/dpif-netdev-extract-avx512.c \
	lib/dpif-netdev-lookup-avx512-gather.c

am__append_22 = \
	lib/odp-execute-avx512.c

#am__append_23 = \
#	lib/daemon-windows.c \
#	lib/getopt_long.c \
#	lib/getrusage-windows.c \
#	lib/latch-windows.c \
#	lib/route-table-stub.c \
#	lib/if-notifier-stub.c \
#	lib/stream-windows.c \
#	lib/strsep.c

am__append_24 = \
	lib/daemon-unix.c \
	lib/latch-unix.c \
	lib/signals.c \
	lib/signals.h \
	lib/socket-util-unix.c \
	lib/stream-unix.c

am__append_25 = -Wno-unused
am__append_26 = -Wno-unused-parameter
am__append_27 = \
	lib/dpif-netlink.c \
	lib/dpif-netlink.h \
	lib/dpif-netlink-rtnl.c \
	lib/dpif-netlink-rtnl.h \
	lib/if-notifier.c \
	lib/introspect.c \
	lib/netdev-linux.c \
	lib/netdev-linux.h \
	lib/netdev-linux-private.h \
	lib/netdev-offload-tc.c \
	lib/netlink-conntrack.c \
	lib/netlink-conntrack.h \
	lib/netlink-notifier.c \
	lib/netlink-notifier.h \
	lib/netlink-protocol.h \
	lib/netlink-socket.c \
	lib/netlink-socket.h \
	lib/rtnetlink.c \
	lib/rtnetlink.h \
	lib/route-table.c \
	lib/route-table.h \
	lib/tc.c \
	lib/tc.h

#am__append_28 = \
#	lib/netdev-afxdp-pool.c \
#	lib/netdev-afxdp-pool.h \
#	lib/netdev-afxdp.c \
#	lib/netdev-afxdp.h

#am__append_29 = \
#	lib/dpdk.c \
#	lib/netdev-dpdk.c \
#	lib/netdev-offload-dpdk.c

am__append_30 = \
	lib/dpdk-stub.c

#am__append_31 = \
#	lib/batch.h \
#	lib/concurrent-array.c \
#	lib/concurrent-array.h \
#	lib/id-refmap.c \
#	lib/id-refmap.h \
#	lib/dpdk-offload-provider.h \
#	lib/dpif-doca-extract-study.c \
#	lib/dpif-doca-lookup.h \
#	lib/dpif-doca-lookup.c \
#	lib/dpif-doca-lookup-autovalidator.c \
#	lib/dpif-doca-lookup-generic.c \
#	lib/dpif-doca.c \
#	lib/dpif-doca.h \
#	lib/dpif-doca-ext.c \
#	lib/dpif-doca-ext.h \
#	lib/dpif-doca-metrics.c \
#	lib/dpif-doca-metrics.h \
#	lib/dpif-doca-private-dfc.c \
#	lib/dpif-doca-private-dfc.h \
#	lib/dpif-doca-private-dpcls.h \
#	lib/dpif-doca-private-dpif.c \
#	lib/dpif-doca-private-dpif.h \
#	lib/dpif-doca-private-extract.c \
#	lib/dpif-doca-private-extract.h \
#	lib/dpif-doca-private-flow.h \
#	lib/dpif-doca-private-thread.h \
#	lib/dpif-doca-private.h \
#	lib/dpif-doca-tcpdump.c \
#	lib/dpif-doca-tcpdump.h \
#	lib/netdev-doca.c \
#	lib/netdev-doca.h \
#	lib/netdev-doca-ext.c \
#	lib/netdev-doca-ext.h \
#	lib/netdev-doca-vdpa.c \
#	lib/netdev-doca-vdpa.h \
#	lib/netdev-offload-doca.c \
#	lib/netdev-offload-doca.h \
#	lib/refmap.c \
#	lib/refmap.h \
#	lib/salloc.c \
#	lib/salloc.h

#am__append_32 = \
#	lib/doca-action-split.h \
#	lib/doca-action-split.c \
#	lib/doca-pipe-group.h \
#	lib/doca-pipe-group.c \
#	lib/doca-mirror.h \
#	lib/doca-mirror.c \
#	lib/dpdk-offload-doca.c \
#	lib/dpdk-offload-doca.h \
#	lib/ovs-doca.h \
#	lib/ovs-doca.c

am__append_33 = \
	lib/ovs-doca.h \
	lib/ovs-doca-stub.c

#am__append_34 = \
#	lib/dpif-netlink.c \
#	lib/dpif-netlink.h \
#	lib/dpif-netlink-rtnl.h \
#	lib/netdev-windows.c \
#	lib/netlink-conntrack.c \
#	lib/netlink-conntrack.h \
#	lib/netlink-notifier.c \
#	lib/netlink-notifier.h \
#	lib/netlink-protocol.h \
#	lib/netlink-socket.c \
#	lib/netlink-socket.h \
#	lib/wmi.c \
#	lib/wmi.h

am__append_35 = lib/async-append-aio.c
#am__append_36 = lib/async-append-null.c
#am__append_37 = \
#	lib/if-notifier-bsd.c \
#	lib/netdev-bsd.c \
#	lib/rtbsd.c \
#	lib/rtbsd.h \
#	lib/route-table-bsd.c

#am__append_38 = lib/stream-ssl.c lib/dhparams.c
am__append_39 = lib/stream-nossl.c
#am__append_40 = lib/dns-resolve.c
am__append_41 = lib/dns-resolve-stub.c
#am__append_42 = lib/dpif-doca-tcpdump-hooks.inc
#am__append_43 = ${PTHREAD_LIBS}
#am__append_44 = \
#	utilities/ovs-doca-tcpdump

#am__append_45 = \
#	utilities/ovs-doca-tcpdump.in

am__append_46 = utilities/nlmon
#am__append_47 = \
#	utilities/ovs-doca-tcpdump.in

#am__append_48 = \
#	tests/test-concurrent-array.c \
#	tests/test-id-refmap.c \
#	tests/test-refmap.c \
#	tests/test-salloc.c

am__append_49 = \
	tests/test-unix-socket.c

am__append_50 = \
	tests/test-lib-route-table.c \
	tests/test-netlink-conntrack.c \
	tests/test-netlink-policy.c

#am__append_51 = $(TESTPKI_FILES)
#am__append_52 = $(TESTPKI_FILES) tests/ovs-pki.log
#am__append_53 = clean-pki

# we use DPDK_NETDEV as we use dpif-doca for dpdk as well
#am__append_54 = \
#	include/dpif-doca-tcpdump-hooks.h

#am__append_55 = \
#	include/dpif-doca-tcpdump-hooks.h

=== libibverbs/CMakeLists.txt ===
publish_headers(infiniband
  arch.h
  opcode.h
  sa-kern-abi.h
  sa.h
  verbs.h
  verbs_api.h
  tm_types.h
  )

publish_internal_headers(infiniband
  cmd_ioctl.h
  cmd_write.h
  driver.h
  kern-abi.h
  marshall.h
  )

configure_file("libibverbs.map.in"
  "${CMAKE_CURRENT_BINARY_DIR}/libibverbs.map" @ONLY)

rdma_library(ibverbs "${CMAKE_CURRENT_BINARY_DIR}/libibverbs.map"
  # See Documentation/versioning.md
  1 1.16.${PACKAGE_VERSION}
  all_providers.c
  cmd.c
  cmd_ah.c
  cmd_counters.c
  cmd_cq.c
  cmd_device.c
  cmd_dm.c
  cmd_dmah.c
  cmd_fallback.c
  cmd_flow.c
  cmd_flow_action.c
  cmd_ioctl.c
  cmd_mr.c
  cmd_mw.c
  cmd_pd.c
  cmd_qp.c
  cmd_rwq_ind.c
  cmd_srq.c
  cmd_wq.c
  cmd_xrcd.c
  compat-1_0.c
  device.c
  dummy_ops.c
  dynamic_driver.c
  enum_strs.c
  ibdev_nl.c
  init.c
  marshall.c
  memory.c
  neigh.c
  static_driver.c
  sysfs.c
  verbs.c
  )
target_link_libraries(ibverbs LINK_PRIVATE
  ${NL_LIBRARIES}
  ${CMAKE_THREAD_LIBS_INIT}
  ${CMAKE_DL_LIBS}
  kern-abi
  )

function(ibverbs_finalize)
  if (ENABLE_STATIC)
    # In static mode the .pc file lists all of the providers for static
    # linking. The user should set RDMA_STATIC_PROVIDERS to select which ones
    # to include.
    list(LENGTH RDMA_PROVIDER_LIST LEN)
    math(EXPR LEN ${LEN}-1)
    foreach(I RANGE 0 ${LEN} 2)
      list(GET RDMA_PROVIDER_LIST ${I} PROVIDER_NAME)
      math(EXPR I ${I}+1)
      list(GET RDMA_PROVIDER_LIST ${I} LIB_NAME)
      math(EXPR I ${I}+1)

      set(PROVIDER_LIBS "${PROVIDER_LIBS} -l${LIB_NAME}")
      set(FOR_EACH_PROVIDER "${FOR_EACH_PROVIDER} FOR_PROVIDER(${PROVIDER_NAME})")
    endforeach()

    if (NOT NL_KIND EQUAL 0)
      set(REQUIRES "libnl-3.0, libnl-route-3.0")
    endif()
    rdma_pkg_config("ibverbs" "${REQUIRES}" "${PROVIDER_LIBS} -libverbs ${CMAKE_THREAD_LIBS_INIT}")

    file(WRITE ${BUILD_INCLUDE}/infiniband/all_providers.h "#define FOR_EACH_PROVIDER() ${FOR_EACH_PROVIDER}")
  else()
    rdma_pkg_config("ibverbs" "" "${CMAKE_THREAD_LIBS_INIT}")
  endif()
endfunction()

=== pyverbs/CMakeLists.txt ===
# SPDX-License-Identifier: (GPL-2.0 OR Linux-OpenIB)
# Copyright (c) 2019, Mellanox Technologies. All rights reserved. See COPYING file
# Copyright (c) 2020, Intel Corporation. All rights reserved. See COPYING file

publish_internal_headers(""
  dmabuf_alloc.h
)

if (DRM_INCLUDE_DIRS)
  set(DMABUF_ALLOC dmabuf_alloc.c)
else()
  set(DMABUF_ALLOC dmabuf_alloc_stub.c)
endif()

if (HAVE_COHERENT_DMA)
  set(DMA_UTIL dma_util.pyx)
else()
  set(DMA_UTIL "")
endif()

rdma_cython_module(pyverbs ""
  addr.pyx
  base.pyx
  cmid.pyx
  cq.pyx
  device.pyx
  ${DMA_UTIL}
  dmabuf.pyx
  ${DMABUF_ALLOC}
  flow.pyx
  fork.pyx
  libibverbs.pyx
  libibverbs_enums.pyx
  librdmacm.pyx
  librdmacm_enums.pyx
  mem_alloc.pyx
  mr.pyx
  pd.pyx
  qp.pyx
  spec.pyx
  srq.pyx
  wq.pyx
  wr.pyx
  xrcd.pyx
)

rdma_python_module(pyverbs
  __init__.py
  pyverbs_error.py
  utils.py
  )

# mlx5 and efa providers are not built without coherent DMA, e.g. ARM32 build.
if (HAVE_COHERENT_DMA)
add_subdirectory(providers/mlx5)
if (0)
add_subdirectory(providers/efa)
endif()
endif()

=== tests/CMakeLists.txt ===
# SPDX-License-Identifier: (GPL-2.0 OR Linux-OpenIB)
# Copyright (c) 2019, Mellanox Technologies. All rights reserved. See COPYING file

rdma_python_test(tests
  __init__.py
  args_parser.py
  base.py
  base_rdmacm.py
  cuda_utils.py
  efa_base.py
  irdma_base.py
  mlx5_base.py
  mlx5_prm_structs.py
  rdmacm_utils.py
  test_addr.py
  test_atomic.py
  test_cq.py
  test_cq_events.py
  test_cqex.py
  test_cuda_dmabuf.py
  test_device.py
  test_dmah.py
  test_efa_srd.py
  test_flow.py
  test_fork.py
  test_mlx5_cq.py
  test_mlx5_crypto.py
  test_mlx5_cuda_umem.py
  test_mlx5_dc.py
  test_mlx5_devx.py
  test_mlx5_devx_async_events.py
  test_mlx5_dm_ops.py
  test_mlx5_dma_memcpy.py
  test_mlx5_dmabuf.py
  test_mlx5_dr.py
  test_mlx5_flow.py
  test_mlx5_huge_page.py
  test_mlx5_lag_affinity.py
  test_mlx5_mkey.py
  test_mlx5_ooo_qp.py
  test_mlx5_pp.py
  test_mlx5_query_port.py
  test_mlx5_raw_wqe.py
  test_mlx5_rdma_ctrl.py
  test_mlx5_rdmacm.py
  test_mlx5_sched.py
  test_mlx5_timestamp.py
  test_mlx5_uar.py
  test_mlx5_udp_sport.py
  test_mlx5_var.py
  test_mlx5_vfio.py
  test_mr.py
  test_odp.py
  test_pd.py
  test_parent_domain.py
  test_qp.py
  test_qpex.py
  test_rdmacm.py
  test_relaxed_ordering.py
  test_rss_traffic.py
  test_shared_pd.py
  test_srq.py
  test_tag_matching.py
  utils.py
  )

rdma_python_test(tests
  run_tests.py
  )

rdma_internal_binary(
  run_tests.py
  )

=== drivers/fwctl/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#

GCOV_PROFILE := $(CONFIG_MLX5_GCOV)
#BACKPORTS: Added to support 5.17 and below
ccflags-y := -std=gnu11 -Wno-declaration-after-statement

ifeq ($(CONFIG_IS_MARINER), y)
EXTRA_CFLAGS += -fno-exceptions
endif

obj-$(CONFIG_FWCTL) += fwctl.o
obj-$(CONFIG_FWCTL_MLX5) += mlx5/

fwctl-y += main.o

=== libibverbs/man/CMakeLists.txt ===
rdma_man_pages(
  ibv_advise_mr.3.md
  ibv_alloc_dm.3
  ibv_alloc_dmah.3.md
  ibv_alloc_mw.3
  ibv_alloc_null_mr.3.md
  ibv_alloc_parent_domain.3
  ibv_alloc_pd.3
  ibv_alloc_td.3
  ibv_asyncwatch.1
  ibv_attach_counters_point_flow.3.md
  ibv_attach_mcast.3.md
  ibv_bind_mw.3
  ibv_create_ah.3
  ibv_create_ah_from_wc.3
  ibv_create_comp_channel.3
  ibv_create_counters.3.md
  ibv_create_cq.3
  ibv_create_cq_ex.3
  ibv_modify_cq.3
  ibv_create_flow.3
  ibv_create_flow_action.3.md
  ibv_create_qp.3
  ibv_create_qp_ex.3
  ibv_create_rwq_ind_table.3
  ibv_create_srq.3
  ibv_create_srq_ex.3
  ibv_create_wq.3
  ibv_devices.1
  ibv_devinfo.1
  ibv_event_type_str.3.md
  ibv_fork_init.3.md
  ibv_get_async_event.3
  ibv_get_cq_event.3
  ibv_get_device_guid.3.md
  ibv_get_device_index.3.md
  ibv_get_device_list.3.md
  ibv_get_device_name.3.md
  ibv_get_pkey_index.3.md
  ibv_get_srq_num.3.md
  ibv_import_device.3.md
  ibv_import_dm.3.md
  ibv_import_mr.3.md
  ibv_import_pd.3.md
  ibv_inc_rkey.3.md
  ibv_is_fork_initialized.3.md
  ibv_modify_qp.3
  ibv_modify_qp_rate_limit.3
  ibv_modify_srq.3
  ibv_modify_wq.3
  ibv_open_device.3
  ibv_open_qp.3
  ibv_open_xrcd.3
  ibv_poll_cq.3
  ibv_post_recv.3
  ibv_post_send.3
  ibv_post_srq_ops.3
  ibv_post_srq_recv.3
  ibv_query_device.3
  ibv_query_device_ex.3
  ibv_query_ece.3.md
  ibv_query_gid.3.md
  ibv_query_gid_ex.3.md
  ibv_query_gid_table.3.md
  ibv_query_pkey.3.md
  ibv_query_port.3
  ibv_query_port_speed.3.md
  ibv_query_qp.3
  ibv_query_qp_data_in_order.3.md
  ibv_query_rt_values_ex.3
  ibv_query_srq.3
  ibv_rate_to_mbps.3.md
  ibv_rate_to_mult.3.md
  ibv_rc_pingpong.1
  ibv_read_counters.3.md
  ibv_reg_mr.3
  ibv_req_notify_cq.3.md
  ibv_rereg_mr.3.md
  ibv_resize_cq.3.md
  ibv_set_ece.3.md
  ibv_srq_pingpong.1
  ibv_uc_pingpong.1
  ibv_ud_pingpong.1
  ibv_wr_post.3.md
  ibv_xsrq_pingpong.1
  )
rdma_alias_man_pages(
  ibv_alloc_dm.3 ibv_free_dm.3
  ibv_alloc_dm.3 ibv_reg_dm_mr.3
  ibv_alloc_dm.3 ibv_memcpy_to_dm.3
  ibv_alloc_dm.3 ibv_memcpy_from_dm.3
  ibv_alloc_dmah.3 ibv_dealloc_dmah.3
  ibv_alloc_mw.3 ibv_dealloc_mw.3
  ibv_alloc_pd.3 ibv_dealloc_pd.3
  ibv_alloc_td.3 ibv_dealloc_td.3
  ibv_attach_mcast.3 ibv_detach_mcast.3
  ibv_create_ah.3 ibv_destroy_ah.3
  ibv_create_ah_from_wc.3 ibv_init_ah_from_wc.3
  ibv_create_comp_channel.3 ibv_destroy_comp_channel.3
  ibv_create_counters.3 ibv_destroy_counters.3
  ibv_create_cq.3 ibv_destroy_cq.3
  ibv_create_flow.3 ibv_destroy_flow.3
  ibv_create_flow_action.3 ibv_destroy_flow_action.3
  ibv_create_flow_action.3 ibv_modify_flow_action.3
  ibv_create_qp.3 ibv_destroy_qp.3
  ibv_create_rwq_ind_table.3 ibv_destroy_rwq_ind_table.3
  ibv_create_srq.3 ibv_destroy_srq.3
  ibv_create_wq.3 ibv_destroy_wq.3
  ibv_event_type_str.3 ibv_node_type_str.3
  ibv_event_type_str.3 ibv_port_state_str.3
  ibv_get_async_event.3 ibv_ack_async_event.3
  ibv_get_cq_event.3 ibv_ack_cq_events.3
  ibv_get_device_list.3 ibv_free_device_list.3
  ibv_import_pd.3 ibv_unimport_pd.3
  ibv_import_dm.3 ibv_unimport_dm.3
  ibv_import_mr.3 ibv_unimport_mr.3
  ibv_open_device.3 ibv_close_device.3
  ibv_open_xrcd.3 ibv_close_xrcd.3
  ibv_rate_to_mbps.3 mbps_to_ibv_rate.3
  ibv_rate_to_mult.3 mult_to_ibv_rate.3
  ibv_reg_mr.3 ibv_dereg_mr.3
  ibv_reg_mr.3 ibv_reg_mr_ex.3
  ibv_wr_post.3 ibv_wr_abort.3
  ibv_wr_post.3 ibv_wr_complete.3
  ibv_wr_post.3 ibv_wr_start.3
  ibv_wr_post.3 ibv_wr_atomic_cmp_swp.3
  ibv_wr_post.3 ibv_wr_atomic_fetch_add.3
  ibv_wr_post.3 ibv_wr_bind_mw.3
  ibv_wr_post.3 ibv_wr_local_inv.3
  ibv_wr_post.3 ibv_wr_rdma_read.3
  ibv_wr_post.3 ibv_wr_rdma_write.3
  ibv_wr_post.3 ibv_wr_rdma_write_imm.3
  ibv_wr_post.3 ibv_wr_send.3
  ibv_wr_post.3 ibv_wr_send_imm.3
  ibv_wr_post.3 ibv_wr_send_inv.3
  ibv_wr_post.3 ibv_wr_send_tso.3
  ibv_wr_post.3 ibv_wr_set_inline_data.3
  ibv_wr_post.3 ibv_wr_set_inline_data_list.3
  ibv_wr_post.3 ibv_wr_set_sge.3
  ibv_wr_post.3 ibv_wr_set_sge_list.3
  ibv_wr_post.3 ibv_wr_set_ud_addr.3
  ibv_wr_post.3 ibv_wr_set_xrc_srqn.3
  ibv_wr_post.3 ibv_wr_flush.3
  )

=== mst_backward_compatibility/mst_ppc/Makefile ===
KPVER ?= $(shell uname -r)
KSRC ?= /lib/modules/$(KPVER)/build
CPU_ARCH ?= $(shell uname -m)

# Oracle Linux OS.
ifneq ($(shell if (echo $(KPVER) | grep -qE 'uek'); then \
                                       echo "YES"; else echo ""; fi),)
override WITH_MAKE_PARAMS += ctf-dir=$(CWD)/.ctf
endif

NNT_DRIVER_LOCATION = ../../nnt_driver
PACKAGE_NAME = nnt-driver
PACKAGE_VERSION = 1.0.0
PACKAGE_RC = 1

%: %.in
	sed \
		-e 's/@PACKAGE_NAME@/$(PACKAGE_NAME)/g' \
		-e 's/@PACKAGE_VERSION@/$(PACKAGE_VERSION)/g' \
		-e 's/@PACKAGE_RC@/$(PACKAGE_RC)/g' \
	<$< >$@

ifneq ($(findstring ppc64, $(CPU_ARCH)),)
ccflags-y += -I$(src)/$(NNT_DRIVER_LOCATION)
obj-m += mst_ppc_pci_reset.o
endif

all:
	make -C $(KSRC) M=$(PWD) CONFIG_CTF= CONFIG_CC_STACKPROTECTOR_STRONG= $(WITH_MAKE_PARAMS) modules

clean:
	make -C $(KSRC) M=$(PWD) clean

=== net/mlxdevm/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
ccflags-y += -Wframe-larger-than=2048

obj-m += mlxdevm.o
mlxdevm-y := core.o netlink.o netlink_gen.o dev.o port.o sb.o dpipe.o \
	     resource.o param.o region.o health.o trap.o rate.o linecard.o \

=== tests/gtest/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tests/gtest/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





VPATH = /home/jenkins/agent/workspace/libxlio/LibXLIO-release/tests/gtest
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libxlio
pkgincludedir = $(includedir)/libxlio
pkglibdir = $(libdir)/libxlio
pkglibexecdir = $(libexecdir)/libxlio
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = gtest$(EXEEXT)
subdir = tests/gtest
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/utls.m4 \
	$(top_srcdir)/config/m4/func.m4 $(top_srcdir)/config/m4/opt.m4 \
	$(top_srcdir)/config/m4/verbs.m4 \
	$(top_srcdir)/config/m4/json.m4 \
	$(top_srcdir)/config/m4/dpcp.m4 $(top_srcdir)/config/m4/nl.m4 \
	$(top_srcdir)/config/m4/prof.m4 \
	$(top_srcdir)/config/m4/compiler.m4 \
	$(top_srcdir)/config/m4/linking_optimization.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
LTLIBRARIES = $(noinst_LTLIBRARIES)
libgtest_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am_libgtest_la_OBJECTS = googletest/src/libgtest_la-gtest-all.lo \
	googletest/src/libgtest_la-gtest_main.lo
libgtest_la_OBJECTS = $(am_libgtest_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libgtest_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libgtest_la_CXXFLAGS) \
	$(CXXFLAGS) $(libgtest_la_LDFLAGS) $(LDFLAGS) -o $@
am_gtest_OBJECTS = gtest-main.$(OBJEXT) common/gtest-sys.$(OBJEXT) \
	common/gtest-base.$(OBJEXT) sock/gtest-sock_base.$(OBJEXT) \
	sock/gtest-sock_socket.$(OBJEXT) mix/gtest-mix_base.$(OBJEXT) \
	mix/gtest-sg_array.$(OBJEXT) mix/gtest-sock_addr.$(OBJEXT) \
	mix/gtest-ip_address.$(OBJEXT) mix/gtest-mix_list.$(OBJEXT) \
	output/gtest-config.$(OBJEXT) tcp/gtest-tcp_accept.$(OBJEXT) \
	tcp/gtest-tcp_bind.$(OBJEXT) tcp/gtest-tcp_connect.$(OBJEXT) \
	tcp/gtest-tcp_connect_nb.$(OBJEXT) \
	tcp/gtest-tcp_event.$(OBJEXT) \
	tcp/gtest-tcp_listen_nb.$(OBJEXT) \
	tcp/gtest-tcp_listen_connect_nb.$(OBJEXT) \
	tcp/gtest-tcp_rfs.$(OBJEXT) tcp/gtest-tcp_send.$(OBJEXT) \
	tcp/gtest-tcp_sendto.$(OBJEXT) \
	tcp/gtest-tcp_sendfile.$(OBJEXT) \
	tcp/gtest-tcp_socket.$(OBJEXT) tcp/gtest-tcp_sockopt.$(OBJEXT) \
	tcp/gtest-tcp_tls.$(OBJEXT) udp/gtest-udp_socket.$(OBJEXT) \
	udp/gtest-udp_bind.$(OBJEXT) udp/gtest-udp_connect.$(OBJEXT) \
	udp/gtest-udp_recv.$(OBJEXT) udp/gtest-udp_send.$(OBJEXT) \
	udp/gtest-udp_sendto.$(OBJEXT) udp/gtest-udp_rfs.$(OBJEXT) \
	core/gtest-xlio_base.$(OBJEXT) \
	core/gtest-xlio_sockopt.$(OBJEXT) \
	xliod/gtest-xliod_base.$(OBJEXT) \
	xliod/gtest-xliod_hash.$(OBJEXT) \
	xliod/gtest-xliod_init.$(OBJEXT) \
	xliod/gtest-xliod_state.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_listen_connect.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_migrate.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_migrate_2.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_send_receive.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_send_receive_2.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_send_receive_full_sq.$(OBJEXT)
nodist_gtest_OBJECTS = gtest-hash.$(OBJEXT)
gtest_OBJECTS = $(am_gtest_OBJECTS) $(nodist_gtest_OBJECTS)
am__DEPENDENCIES_1 =
gtest_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(gtest_CXXFLAGS) \
	$(CXXFLAGS) $(gtest_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/gtest-hash.Po \
	./$(DEPDIR)/gtest-main.Po common/$(DEPDIR)/gtest-base.Po \
	common/$(DEPDIR)/gtest-sys.Po \
	core/$(DEPDIR)/gtest-xlio_base.Po \
	core/$(DEPDIR)/gtest-xlio_sockopt.Po \
	googletest/src/$(DEPDIR)/libgtest_la-gtest-all.Plo \
	googletest/src/$(DEPDIR)/libgtest_la-gtest_main.Plo \
	mix/$(DEPDIR)/gtest-ip_address.Po \
	mix/$(DEPDIR)/gtest-mix_base.Po \
	mix/$(DEPDIR)/gtest-mix_list.Po \
	mix/$(DEPDIR)/gtest-sg_array.Po \
	mix/$(DEPDIR)/gtest-sock_addr.Po \
	output/$(DEPDIR)/gtest-config.Po \
	sock/$(DEPDIR)/gtest-sock_base.Po \
	sock/$(DEPDIR)/gtest-sock_socket.Po \
	tcp/$(DEPDIR)/gtest-tcp_accept.Po \
	tcp/$(DEPDIR)/gtest-tcp_bind.Po \
	tcp/$(DEPDIR)/gtest-tcp_connect.Po \
	tcp/$(DEPDIR)/gtest-tcp_connect_nb.Po \
	tcp/$(DEPDIR)/gtest-tcp_event.Po \
	tcp/$(DEPDIR)/gtest-tcp_listen_connect_nb.Po \
	tcp/$(DEPDIR)/gtest-tcp_listen_nb.Po \
	tcp/$(DEPDIR)/gtest-tcp_rfs.Po tcp/$(DEPDIR)/gtest-tcp_send.Po \
	tcp/$(DEPDIR)/gtest-tcp_sendfile.Po \
	tcp/$(DEPDIR)/gtest-tcp_sendto.Po \
	tcp/$(DEPDIR)/gtest-tcp_socket.Po \
	tcp/$(DEPDIR)/gtest-tcp_sockopt.Po \
	tcp/$(DEPDIR)/gtest-tcp_tls.Po udp/$(DEPDIR)/gtest-udp_bind.Po \
	udp/$(DEPDIR)/gtest-udp_connect.Po \
	udp/$(DEPDIR)/gtest-udp_recv.Po udp/$(DEPDIR)/gtest-udp_rfs.Po \
	udp/$(DEPDIR)/gtest-udp_send.Po \
	udp/$(DEPDIR)/gtest-udp_sendto.Po \
	udp/$(DEPDIR)/gtest-udp_socket.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_listen_connect.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_migrate.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_migrate_2.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_send_receive.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_send_receive_2.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_send_receive_full_sq.Po \
	xliod/$(DEPDIR)/gtest-xliod_base.Po \
	xliod/$(DEPDIR)/gtest-xliod_hash.Po \
	xliod/$(DEPDIR)/gtest-xliod_init.Po \
	xliod/$(DEPDIR)/gtest-xliod_state.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(libgtest_la_SOURCES) $(gtest_SOURCES) \
	$(nodist_gtest_SOURCES)
DIST_SOURCES = $(libgtest_la_SOURCES) $(gtest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/config/aux/depcomp README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/agent/workspace/libxlio/LibXLIO-release/config/aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/jenkins/agent/workspace/libxlio/LibXLIO-release/config/aux/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/agent/workspace/libxlio/LibXLIO-release/config/aux/missing autoheader

=== tests/timetest/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tests/timetest/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



VPATH = /home/jenkins/agent/workspace/libvma/LibVMA-release/tests/timetest
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libvma
pkgincludedir = $(includedir)/libvma
pkglibdir = $(libdir)/libvma
pkglibexecdir = $(libexecdir)/libvma
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = timetest$(EXEEXT)
subdir = tests/timetest
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/func.m4 $(top_srcdir)/config/m4/opt.m4 \
	$(top_srcdir)/config/m4/verbs.m4 $(top_srcdir)/config/m4/nl.m4 \
	$(top_srcdir)/config/m4/prof.m4 \
	$(top_srcdir)/config/m4/compiler.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_timetest_OBJECTS = timetest.$(OBJEXT)
timetest_OBJECTS = $(am_timetest_OBJECTS)
timetest_DEPENDENCIES = $(top_builddir)/src/utils/libutils.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/timetest.Po
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(timetest_SOURCES)
DIST_SOURCES = $(timetest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/config/aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing automake-1.16
AWK = gawk
BUILD_DATE = 08 Jan 2026
BUILD_DATE_CHANGELOG = Thu, 08 Jan 2026 14:50:01 +0000
BUILD_TIME = 14:50:01
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -D_GNU_SOURCE -fPIC  -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object  -g -O3 -DNDEBUG -fvisibility=hidden
CPP = gcc -E
CPPFLAGS =  -I/usr/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -std=c++11 -D_GNU_SOURCE -fPIC  -Wshadow -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object -Wno-overloaded-virtual  -g -O3 -DNDEBUG -fvisibility=hidden
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/usr/lib64
LEX = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing flex
LEXLIB = 
LEX_OUTPUT_ROOT = 
LIBIBPROF_LIBS = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3 
LIBNL3_LIBS = -lnl-route-3 -lnl-3 
LIBNLX_DEVEL = libnl3-devel
LIBNL_CFLAGS = -I/usr/include/libnl3 
LIBNL_LIBS = -lnl-route-3 -lnl-3 
LIBOBJS = 
LIBS = -lpthread -lrt -ldl -lstdc++ 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libvma
PACKAGE_BUGREPORT = support@mellanox.com
PACKAGE_NAME = libvma
PACKAGE_STRING = libvma 9.8.84
PACKAGE_TARNAME = libvma
PACKAGE_URL = 
PACKAGE_VERSION = 9.8.84
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PRJ_LIBRARY_MAJOR = 9
PRJ_LIBRARY_MINOR = 8
PRJ_LIBRARY_RELEASE = 1
PRJ_LIBRARY_REVISION = 84
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STATS_PROTOCOL_VER = 25ca1bbb55c2c5536b0b4bded2689e9a
STRIP = strip
VERBS_LIBS =  -libverbs -lrdmacm -lmlx5
VERSION = 9.8.84
YACC = yacc
YFLAGS = 
abs_builddir = /home/jenkins/agent/workspace/libvma/LibVMA-release/pkg/tests/timetest
abs_srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release/tests/timetest
abs_top_builddir = /home/jenkins/agent/workspace/libvma/LibVMA-release/pkg
abs_top_srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
have_pkg_config = yes
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release/tests/timetest
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release
AM_CPPFLAGS := -I$(top_builddir)/src
timetest_LDADD = -lrt $(top_builddir)/src/utils/libutils.la
timetest_SOURCES = timetest.cpp
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/timetest/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tests/timetest/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \

=== tools/daemon/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tools/daemon/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




VPATH = /home/jenkins/agent/workspace/libvma/LibVMA-release/tools/daemon
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libvma
pkgincludedir = $(includedir)/libvma
pkglibdir = $(libdir)/libvma
pkglibexecdir = $(libexecdir)/libvma
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
sbin_PROGRAMS = vmad$(EXEEXT)
subdir = tools/daemon
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/func.m4 $(top_srcdir)/config/m4/opt.m4 \
	$(top_srcdir)/config/m4/verbs.m4 $(top_srcdir)/config/m4/nl.m4 \
	$(top_srcdir)/config/m4/prof.m4 \
	$(top_srcdir)/config/m4/compiler.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_vmad_OBJECTS = vmad-daemon.$(OBJEXT) vmad-loop.$(OBJEXT) \
	vmad-hash.$(OBJEXT) vmad-store.$(OBJEXT) vmad-flow.$(OBJEXT) \
	vmad-message.$(OBJEXT) vmad-notify.$(OBJEXT) vmad-nl.$(OBJEXT) \
	vmad-tc.$(OBJEXT)
vmad_OBJECTS = $(am_vmad_OBJECTS)
vmad_DEPENDENCIES =
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
vmad_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(vmad_CFLAGS) $(CFLAGS) \
	$(vmad_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/vmad-daemon.Po \
	./$(DEPDIR)/vmad-flow.Po ./$(DEPDIR)/vmad-hash.Po \
	./$(DEPDIR)/vmad-loop.Po ./$(DEPDIR)/vmad-message.Po \
	./$(DEPDIR)/vmad-nl.Po ./$(DEPDIR)/vmad-notify.Po \
	./$(DEPDIR)/vmad-store.Po ./$(DEPDIR)/vmad-tc.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(vmad_SOURCES)
DIST_SOURCES = $(vmad_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/config/aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing automake-1.16
AWK = gawk
BUILD_DATE = 08 Jan 2026
BUILD_DATE_CHANGELOG = Thu, 08 Jan 2026 14:50:01 +0000
BUILD_TIME = 14:50:01
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -D_GNU_SOURCE -fPIC  -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object  -g -O3 -DNDEBUG -fvisibility=hidden
CPP = gcc -E
CPPFLAGS =  -I/usr/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -std=c++11 -D_GNU_SOURCE -fPIC  -Wshadow -Wall -Wextra -Werror -Wundef                 -ffunction-sections -fdata-sections -Wsequence-point -pipe -Winit-self -Wmissing-include-dirs                 -Wno-free-nonheap-object -Wno-overloaded-virtual  -g -O3 -DNDEBUG -fvisibility=hidden
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/usr/lib64
LEX = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing flex
LEXLIB = 
LEX_OUTPUT_ROOT = 
LIBIBPROF_LIBS = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3 
LIBNL3_LIBS = -lnl-route-3 -lnl-3 
LIBNLX_DEVEL = libnl3-devel
LIBNL_CFLAGS = -I/usr/include/libnl3 
LIBNL_LIBS = -lnl-route-3 -lnl-3 
LIBOBJS = 
LIBS = -lpthread -lrt -ldl -lstdc++ 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libvma
PACKAGE_BUGREPORT = support@mellanox.com
PACKAGE_NAME = libvma
PACKAGE_STRING = libvma 9.8.84
PACKAGE_TARNAME = libvma
PACKAGE_URL = 
PACKAGE_VERSION = 9.8.84
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PRJ_LIBRARY_MAJOR = 9
PRJ_LIBRARY_MINOR = 8
PRJ_LIBRARY_RELEASE = 1
PRJ_LIBRARY_REVISION = 84
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STATS_PROTOCOL_VER = 25ca1bbb55c2c5536b0b4bded2689e9a
STRIP = strip
VERBS_LIBS =  -libverbs -lrdmacm -lmlx5
VERSION = 9.8.84
YACC = yacc
YFLAGS = 
abs_builddir = /home/jenkins/agent/workspace/libvma/LibVMA-release/pkg/tools/daemon
abs_srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release/tools/daemon
abs_top_builddir = /home/jenkins/agent/workspace/libvma/LibVMA-release/pkg
abs_top_srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
have_pkg_config = yes
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jenkins/agent/workspace/libvma/LibVMA-release/config/aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release/tools/daemon
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = /home/jenkins/agent/workspace/libvma/LibVMA-release
vmad_LDADD = 
vmad_CPPFLAGS = \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/vma

vmad_LDFLAGS = 
vmad_CFLAGS = 
vmad_SOURCES = \
	daemon.c \
	loop.c \
	hash.c \
	store.c \
	flow.c \
	message.c \
	notify.c \
	nl.c \
	tc.c

noinst_HEADERS = \
	daemon.h \
	hash.h \
	bitmap.h \
	nl.h \
	tc.h

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \

=== debian/changelog ===
doca-openvswitch (3.3.0040-1.2601100) unstable; urgency=low
   * New build

 -- Networking Support <networking-support@nvidia.com>  Tue, 27 Jun 2023 14:08:41 +0200

openvswitch (3.3.6-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 02 Jun 2025 16:06:12 +0200

openvswitch (3.3.5-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 02 Jun 2025 16:06:12 +0200

openvswitch (3.3.4-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 27 Feb 2025 14:57:49 +0100

openvswitch (3.3.3-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 15 Nov 2024 14:34:05 +0100

openvswitch (3.3.2-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 27 Aug 2024 14:33:26 +0200

openvswitch (3.3.1-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 07 Jun 2024 15:58:27 +0200

openvswitch (3.3.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 16 Feb 2024 12:25:58 +0100

openvswitch (3.2.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 17 Aug 2023 15:20:36 +0200

openvswitch (3.1.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 16 Feb 2023 13:52:24 +0100

openvswitch (3.0.0-1) unstable; urgency=low

   * New upstream version
   * Update debian packaging to be on par with package source in Debian/Ubuntu:
     - Provide a openvswitch-switch-dpdk package that integrates with the dpdk
       package in the distributions so that end users can opt into a
       DPDK-enabled Open vSwitch binary.
     - Provide systemd service files.
     - Provide openvswitch-source package for reproducible integrated build of
       for example OVN.
     - Stop building shared library and subsequently remove libopenvswitch and
       libopenvswitch-dev binary packages.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 15 Aug 2022 17:43:58 +0200

openvswitch (2.17.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 17 Feb 2022 19:15:21 +0100

openvswitch (2.16.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 16 Aug 2021 22:08:13 +0200

openvswitch (2.15.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 15 Feb 2021 17:35:33 +0100

openvswitch (2.14.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 17 Aug 2020 14:17:17 +0200

openvswitch (2.13.0-1) unstable; urgency=low
   [ Open vSwitch team]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 14 Feb 2020 12:00:00 -0700

openvswitch (2.12.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 03 Sep 2019 14:56:53 -0700

openvswitch (2.11.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 19 Feb 2019 21:42:33 -0700

openvswitch (2.10.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Sat, 18 Aug 2018 10:38:23 -0700

openvswitch (2.9.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 19 Feb 2018 11:03:12 -0700

openvswitch (2.8.0-1) unstable; urgency=medium

   [ Open vSwitch team ]
   * Use debhelper for DEB_VERSION_UPSTREAM.  Thanks to Clint Byrum
     <spamaps@debian.org> for this improvement.
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 31 Aug 2017 09:32:16 -0700

openvswitch (2.7.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Utilities and daemons that support SSL now allow protocols and
     ciphers to be configured with --ssl-protocols and --ssl-ciphers.
   - OVN:
     * QoS is now implemented via egress shaping rather than ingress policing.
     * DSCP marking is now supported, via the new northbound QoS table.
     * IPAM now supports fixed MAC addresses.
     * Support for source IP address based routing.
     * ovn-trace:
       - New --ovs option to also print OpenFlow flows.
       - put_dhcp_opts and put_dhcp_optsv6 actions may now be traced.
     * Support for managing SSL and remote connection configuration in
       northbound and southbound databases.
     * TCP connections to northbound and southbound databases are no
       longer enabled by default and must be explicitly configured.
       See documentation for ovn-sbctl/ovn-nbctl "set-connection"
       command or the ovn-ctl "--db-sb-create-insecure-remote" and
       "--db-nb-create-insecure-remote" command-line options for
       information regarding remote connection configuration.
     * New appctl "inject-pkt" command in ovn-controller that allows
       packets to be injected into the connected OVS instance.
     * Distributed logical routers may now be connected directly to
       logical switches with localnet ports, by specifying a
       "redirect-chassis" on the distributed gateway port of the
       logical router.  NAT rules may be specified directly on the
       distributed logical router, and are handled either centrally on
       the "redirect-chassis", or in many cases are handled locally on
       the hypervisor where the corresponding logical port resides.
       Gratuitous ARP for NAT addresses on a distributed logical
       router is not yet supported, but will be added in a future
       version.


=== contrib/dist/mofed/debian/control ===
Source: openmpi
Section: net
Priority: extra
Homepage: http://www.open-mpi.org/
Maintainer:  http://www.open-mpi.org

Package: openmpi
Depends: ${shlibs:Depends}, ${misc:Depends}, ucx
Architecture: all
Description: Open MPI
 Open MPI is a project combining technologies and resources from
 several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
 order to build the best MPI library available.
 This package contains all the tools necessary to compile, link, and run
 Open MPI jobs.

=== debian/control ===
Source: rdma-core
Maintainer: Linux RDMA Mailing List <linux-rdma@vger.kernel.org>
Uploaders: Benjamin Drung <bdrung@ubuntu.com>,
           Talat Batheesh <talatb@mellanox.com>
Section: net
Priority: optional
Build-Depends: cmake (>= 2.8.11),
               cython3 (>= 0.25) | python,
               debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17),
               libnl-3-dev,
               libnl-route-3-dev,
# The libsystemd dependency is optional on older Ubuntus
               libsystemd-dev | libnih1,
               libudev-dev,
               pandoc,
               pkg-config,
               python3-docutils | docutils,
               valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x]
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://github.com/linux-rdma/rdma-core.git
Vcs-Browser: https://github.com/linux-rdma/rdma-core
Homepage: https://github.com/linux-rdma/rdma-core

Package: rdma-core
Architecture: linux-any
Multi-Arch: foreign
Depends: udev, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: dmidecode, ethtool, iproute2
Breaks: infiniband-diags (<< 2.0.0)
Replaces: infiniband-diags (<< 2.0.0)
Description: RDMA core userspace infrastructure and documentation
 This package provides the basic boot time support for systems that use the
 Linux kernel's remote direct memory access (RDMA) subystem which includes
 InfiniBand, iWARP, and RDMA over Converged Ethernet (RoCE).
 .
 Several kernel RDMA support daemons are included:
  - The rdma-ndd daemon which watches for RDMA device changes and/or hostname
    changes and updates the Node Description of the RDMA devices based on
    those changes.

Package: ibacm
Architecture: linux-any
Multi-Arch: foreign
Depends: rdma-core (>= 15), ${misc:Depends}, ${shlibs:Depends}
Description: InfiniBand Communication Manager Assistant (ACM)
 The IB ACM implements and provides a framework for name, address, and
 route (path) resolution services over InfiniBand.
 It is intended to address connection setup scalability issues running
 MPI applications on large clusters.  The IB ACM provides information
 needed to establish a connection, but does not implement the CM protocol.
 A primary user of the ibacm service is the librdmacm library.

Package: ibverbs-providers
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libefa1, libipathverbs1, libmana1, libmlx5-1, libmthca1
Replaces: libipathverbs1,
          libmlx5-1,
          libmthca1
Breaks: libipathverbs1,
        libmlx5-1,
        libmthca1
Description: User space provider drivers for libibverbs
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 An RDMA driver consists of a kernel portion and a user space portion.
 This package contains the user space verbs drivers:
 .
  - erdma: Alibaba Elastic RDMA (iWarp) Adapter
  - ionic: AMD Pensando Distributed Services Card (DSC) RDMA/RoCE Support
  - irdma: Intel Ethernet Connection RDMA
  - mana: Microsoft Azure Network Adapter
  - mlx5: Mellanox Connect-IB/X-4+ InfiniBand HCAs

Package: ibverbs-utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Examples for the libibverbs library
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 This package contains useful libibverbs1 example programs such as
 ibv_devinfo, which displays information about InfiniBand devices.

Package: libibverbs-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ibverbs-providers (= ${binary:Version}),
         libibverbs1 (= ${binary:Version}),
         libnl-3-dev,
         libnl-route-3-dev,
         ${misc:Depends}
Description: Development files for the libibverbs library
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 This package is needed to compile programs against libibverbs1.
 It contains the header files and static libraries (optionally)
 needed for compiling.

Package: libibverbs1
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Recommends: ibverbs-providers
Breaks: ibverbs-providers (<< 59~)
Description: Library for direct userspace use of RDMA (InfiniBand/iWARP)
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 For this library to be useful, a device-specific plug-in module
 should also be installed.
 .
 This package contains the shared library.

Package: libibumad-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libibumad3 (= ${binary:Version}), ${misc:Depends}
Provides: libibumad-devel
Description: Development files for libibumad
 libibumad provides userspace Infiniband Management Datagram (uMAD)
 functions which sit on top of the uMAD modules in the kernel.
 These are used by InfiniBand diagnostic and management tools.
 .
 This package is needed to compile programs against libibumad.
 It contains the header files and static libraries (optionally)
 needed for compiling.

Package: libibumad3
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Provides: libibumad
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: InfiniBand Userspace Management Datagram (uMAD) library
 libibumad provides userspace Infiniband Management Datagram (uMAD)
 functions which sit on top of the uMAD modules in the kernel.
 These are used by InfiniBand diagnostic and management tools.
 .
 This package contains the shared library.

Package: librdmacm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libibverbs-dev, librdmacm1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the librdmacm library
 librdmacm is a library that allows applications to set up reliable
 connected and unreliable datagram transfers when using RDMA adapters.
 It provides a transport-neutral interface in the sense that the same
 code can be used for both InfiniBand and iWARP adapters.  The
 interface is based on sockets, but adapted for queue pair (QP) based
 semantics: communication must use a specific RDMA device, and data
 transfers are message-based.
 .
 librdmacm only provides communication management (connection setup
 and tear-down) and works in conjunction with the verbs interface
 provided by libibverbs, which provides the interface used to actually
 transfer data.
 .
 This package is needed to compile programs against librdmacm.
 It contains the header files and static libraries (optionally)
 needed for compiling.

Package: librdmacm1
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for managing RDMA connections
 librdmacm is a library that allows applications to set up reliable
 connected and unreliable datagram transfers when using RDMA adapters.
 It provides a transport-neutral interface in the sense that the same
 code can be used for both InfiniBand and iWARP adapters.  The
 interface is based on sockets, but adapted for queue pair (QP) based
 semantics: communication must use a specific RDMA device, and data
 transfers are message-based.
 .
 librdmacm only provides communication management (connection setup
 and tear-down) and works in conjunction with the verbs interface
 provided by libibverbs, which provides the interface used to actually
 transfer data.
 .
 This package contains the shared library.

Package: rdmacm-utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Examples for the librdmacm library
 librdmacm is a library that allows applications to set up reliable
 connected and unreliable datagram transfers when using RDMA adapters.
 It provides a transport-neutral interface in the sense that the same
 code can be used for both InfiniBand and iWARP adapters.  The
 interface is based on sockets, but adapted for queue pair (QP) based
 semantics: communication must use a specific RDMA device, and data
 transfers are message-based.
 .
 librdmacm only provides communication management (connection setup
 and tear-down) and works in conjunction with the verbs interface
 provided by libibverbs, which provides the interface used to actually
 transfer data.
 .
 This package contains useful librdmacm example programs such as
 rping and udaddy.

Package: srptools
Architecture: linux-any
Multi-Arch: foreign
Depends: rdma-core (>= 15), udev, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tools for Infiniband attached storage (SRP)
 In conjunction with the kernel ib_srp driver, srptools allows you to
 discover and use Infiniband attached storage devices which use the
 SCSI RDMA Protocol (SRP).

Package: python3-pyverbs
Section: python
Architecture: linux-any
Multi-Arch: same
Depends: rdma-core (>= 21),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python bindings for rdma-core
 Pyverbs provides a Python API over rdma-core, the Linux userspace C API for
 the remote direct memory access (RDMA) stack.
 .
 One goal is to provide easier access to RDMA: RDMA has a steep learning curve
 as is and the C interface requires the user to initialize multiple structs
 before having usable objects. Pyverbs attempts to remove much of this overhead
 and provide a smoother user experience.

Package: infiniband-diags
Architecture: linux-any
Multi-Arch: foreign
Depends: libibnetdisc5 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: InfiniBand diagnostic programs
 InfiniBand is a switched fabric communications link used in
 high-performance computing and enterprise data centers. Its features
 include high throughput, low latency, quality of service and
 failover, and it is designed to be scalable.
 .
 This package provides diagnostic programs and scripts needed to
 diagnose an InfiniBand subnet.

Package: libibmad5
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIC

# Files are automatically restored after binary build and during clean phase

%:
	dh $@
	@# Auto-restore control file after package building completes
	@if [ "$@" = "binary" ] || [ "$@" = "binary-arch" ] || [ "$@" = "binary-indep" ]; then \
		if [ -f debian/control.orig ]; then \
			cp debian/control.orig debian/control; \
			echo "Auto-restored debian/control after binary build"; \
		fi; \
		if [ -f debian/doca-openvswitch-source.install.orig ]; then \
			mv debian/doca-openvswitch-source.install.orig \
			   debian/doca-openvswitch-source.install; \
			echo "Auto-restored install file"; \
		fi; \
	fi

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

ifneq (,$(filter shared,$(DEB_BUILD_OPTIONS)))
BUILD_TYPE := --enable-shared --disable-static
EXCLUDE := --exclude .a
else
BUILD_TYPE := --disable-shared --enable-static
EXCLUDE := --exclude .so.* --exclude .so
endif

ifneq (,$(filter with-dpdk,$(DEB_BUILD_OPTIONS)))
DPDK_INSTALL ?= /opt/mellanox/dpdk
ifneq (,$(shell readlink -e $(DPDK_INSTALL)))
WITH_DPDK := --with-dpdk=$(DPDK_INSTALL)
DPDK_PKGCONFIG := $(shell find $(DPDK_INSTALL) -type f -name libdpdk.pc -exec dirname {} \;)
DPDK_LIB_DIR := $(shell PKG_CONFIG_PATH=$(DPDK_PKGCONFIG) pkg-config --libs-only-L libdpdk)
endif
else
WITH_DPDK =
endif

ifneq (,$(filter with-doca,$(DEB_BUILD_OPTIONS)))
# WITH_DOCA is set if the user provided 'with-doca' and DOCA_INSTALL exists,
# either it's default or the user provided value
DOCA_INSTALL ?= /opt/mellanox/doca
ifneq (,$(shell readlink -e $(DOCA_INSTALL)))
WITH_DOCA := --with-doca=$(DOCA_INSTALL)
DOCA_PKGCONFIG := $(shell find $(DOCA_INSTALL) -type f -name doca-flow.pc -exec dirname {} \;)
DOCA_LIB_DIR := $(shell PKG_CONFIG_PATH=$(DOCA_PKGCONFIG) pkg-config --libs-only-L doca-flow)
endif
PKG_PREFIX := doca-
else
WITH_DOCA =
PKG_PREFIX :=
endif

PYTHON3S:=$(shell py3versions -vr)
DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_auto_configure:
	# Restore original control file if it exists from a previous build
	if [ -f debian/control.orig ]; then \
		mv debian/control.orig debian/control; \
	fi
	# Keep original control file
	cp debian/control debian/control.orig
	# Backup the source install file if it exists
	if [ -f debian/doca-openvswitch-source.install ]; then \
		cp debian/doca-openvswitch-source.install \
		   debian/doca-openvswitch-source.install.orig; \
	fi
ifeq (,$(filter with-doca,$(DEB_BUILD_OPTIONS)))
	# Remove doca- prefix from package names and dependencies when not building with doca
	# Skip the Source: line to preserve source package name
	sed -i -e '/^Source:/!s/doca-openvswitch/openvswitch/g' debian/control
endif

	test -d _debian || mkdir _debian
	cd _debian && ( \
		test -e Makefile || \
		../configure --prefix=/usr --localstatedir=/var \
					--enable-ssl \
					--disable-afxdp \
					--sysconfdir=/etc \
					$(BUILD_TYPE) \
					$(WITH_DPDK) \
					$(WITH_DOCA) \
					$(DATAPATH_CONFIGURE_OPTS) \
					$(EXTRA_CONFIGURE_OPTS) \
					)


# NOTE(jamespage): by default, just run all tests
TEST_LIST =
TEST_LIST_DPDK =

# armhf:
#  30: bfd - check that BFD works together with RSTP   FAILED (bfd.at:829)
ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
TEST_LIST = 1-29 31-
TEST_LIST_DPDK = $(TEST_LIST)
endif # armhf

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	if $(MAKE) -C _debian check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST)' || \
                $(MAKE) -C _debian check TESTSUITEFLAGS='--recheck'; then :; \
	else \
		cat _debian/tests/testsuite.log; \
		exit 1; \
	fi
# Skip DPDK testing on arm64 as builders don't have crc32 support
# which is used in aarch64 based crc optimization in ovs >= 2.12.0~
ifneq (,$(filter i386 amd64 ppc64el, $(DEB_HOST_ARCH)))
ifeq (,$(filter nodpdk, $(DEB_BUILD_OPTIONS)))
	if $(MAKE) -C _dpdk check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST_DPDK)' || \
				$(MAKE) -C _dpdk check TESTSUITEFLAGS='--recheck'; then :; \
	else \
		cat _dpdk/tests/testsuite.log; \
		exit 1; \
	fi
endif # nodpdk
endif # i386/amd64/ppc64el
endif # nocheck

override_dh_auto_build:
	dh_auto_build --sourcedirectory=_debian -- dist distdir=$(PKG_PREFIX)openvswitch
	dh_auto_build --sourcedirectory=_debian
ifneq (,$(filter with-doca,$(DEB_BUILD_OPTIONS)))
	# When building with DOCA, update install file to look for doca-openvswitch.tar.gz
	if [ -f debian/doca-openvswitch-source.install ]; then \
		sed -i "s/_debian\/.*openvswitch\.tar\.gz/_debian\/doca-openvswitch.tar.gz/" \
			debian/doca-openvswitch-source.install; \
	fi
endif
	# Control file restoration happens only during clean phase

override_dh_clean:
	find . -name "*.pyc" -delete
	# Clean up symlinks and files created for non-doca builds
	cd debian && find . -maxdepth 1 -type l -name 'openvswitch-*' -delete
	cd debian && find . -maxdepth 1 -type l -name 'python3-openvswitch*' -delete
	# Remove modified .install files (they will be regenerated)
	cd debian && for f in openvswitch-*.install python3-openvswitch*.install; do \
		if [ -f "$$f" ] && [ ! -L "$$f" ]; then \
			rm -f "$$f"; \
		fi; \
	done
	# Always restore files before cleaning
	if [ -f debian/control.orig ]; then \
		cp debian/control.orig debian/control; \
	fi
	if [ -f debian/doca-openvswitch-source.install.orig ]; then \
		mv debian/doca-openvswitch-source.install.orig \
		   debian/doca-openvswitch-source.install; \
	fi
	dh_clean
	# This is a backup - should not be needed if override_dh_clean works
	if [ -f debian/control.orig ]; then \
		mv debian/control.orig debian/control; \
	fi
	if [ -f debian/doca-openvswitch-source.install.orig ]; then \
		mv debian/doca-openvswitch-source.install.orig \
		   debian/doca-openvswitch-source.install; \
	fi

override_dh_install:
ifeq (,$(filter with-doca,$(DEB_BUILD_OPTIONS)))
	# Create symlinks for all doca-openvswitch-* files to openvswitch-* equivalents
	set -e; cd debian && for f in doca-openvswitch-*; do \
		target=$$(echo $$f | sed 's/doca-openvswitch-/openvswitch-/'); \
		if [ ! -e "$$target" ] && [ -f "$$f" ]; then \
			ln -sf "$$f" "$$target"; \
		fi; \
	done
	# Special case for python3 package
	set -e; cd debian && for f in python3-doca-openvswitch*; do \
		if [ -f "$$f" ]; then \
			target=$$(echo $$f | sed 's/python3-doca-openvswitch/python3-openvswitch/'); \
			if [ ! -e "$$target" ]; then \
				ln -sf "$$f" "$$target"; \
			fi; \
		fi; \
	done
	# Update paths in symlinked .install files
	set -e; cd debian && for f in openvswitch-*.install; do \
		if [ -L "$$f" ]; then \
			cp -L "$$f" "$$f.tmp" && \
			sed -i 's/doca-openvswitch/openvswitch/g' "$$f.tmp" && \
			sed -i '/ovs-doca-tcpdump/d' "$$f.tmp" && \
			mv "$$f.tmp" "$$f"; \
		fi; \
	done
endif
	dh_install $(EXCLUDE)
	set -e && for pyvers in $(PYTHON3S); do \
		cd python; \
		export PKG_CONFIG_PATH=$(CURDIR)/debian/tmp/usr/lib/pkgconfig; \
		export PKG_CONFIG_SYSROOT_DIR=$(CURDIR)/debian/tmp; \
		export PKG_CONFIG_SYSTEM_INCLUDE_PATH=/; \
		export PKG_CONFIG_SYSTEM_LIBRARY_PATH=/; \
		enable_shared=no \
		extra_cflags="`pkg-config --cflags libopenvswitch`" \
		extra_libs="-Wl,-Bstatic -lopenvswitch -Wl,-Bdynamic `pkg-config --libs --static libopenvswitch`" \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-$(PKG_PREFIX)openvswitch; \
		cd ..; \
		mkdir -p $(CURDIR)/debian/$(PKG_PREFIX)openvswitch-test/usr/lib/python$$pyvers/dist-packages/ovstest; \
		install -v -D python/ovstest/*.py \
			$(CURDIR)/debian/$(PKG_PREFIX)openvswitch-test/usr/lib/python$$pyvers/dist-packages/ovstest; \
	done

override_dh_auto_install:
	dh_auto_install --sourcedirectory=_debian


override_dh_installinit:
	dh_installinit --restart-after-upgrade
	dh_installinit -p$(PKG_PREFIX)openvswitch-switch --name=ovsdb-server --no-start

=== drivers/infiniband/ulp/isert/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WITH_DKMS ?= 1
WITH_MOD_SIGN ?= 0
MLXNUMC = $(shell grep ^processor /proc/cpuinfo | wc -l)
NJOBS ?= $(shell if [ $(MLXNUMC) -lt 16 ]; then echo $(MLXNUMC); else echo 16; fi)

pname:=isert
psource:=$(pname)-source
ifeq ($(WITH_DKMS),1)
pdkms:=$(pname)-dkms
else
pdkms:=$(pname)-modules
endif

pversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')
prel := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-\(.\+\)/\2/p')

export INSTALL_MOD_DIR:=updates
export INSTALL_MOD_PATH:=$(CURDIR)/debian/$(pdkms)

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)


KVER ?= $(shell uname -r)
KVER1 = $(shell echo $(KVER) | sed -e 's/_/-/g')
K_BUILD ?= "/lib/modules/$(KVER)/build"

%:
ifeq ($(WITH_DKMS),1)
	dh $@ --with dkms
else
	dh $@
endif

override_dh_auto_clean:

override_dh_auto_configure:

override_dh_auto_build:
ifneq ($(WITH_DKMS),1)
	@echo Building for $(KVER)
	make clean || true
	make -j$(NJOBS) KVER=$(KVER) K_BUILD=$(K_BUILD)
endif

override_dh_auto_test:

override_dh_auto_install:
ifneq ($(WITH_DKMS),1)
	make install INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) INSTALL_MOD_PATH=$(INSTALL_MOD_PATH) KERNELRELEASE=$(KVER) KVER=$(KVER) K_BUILD=$(K_BUILD)
	find $(INSTALL_MOD_PATH) \( -type f -a -name "modules.*" \) -delete
ifeq ($(WITH_MOD_SIGN),1)
	tools/sign-modules $(INSTALL_MOD_PATH)/lib/modules/ $(K_BUILD)
endif
endif

	# For dkms
ifeq ($(WITH_DKMS),1)
	dh_installdirs -p$(pdkms)  usr/src/$(pname)-$(pversion)
	cp Kconfig debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp makefile debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp Makefile debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp *.c debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp *.h debian/$(pdkms)/usr/src/$(pname)-$(pversion)/
	sed -e '/^PACKAGE_VERSION=/s/=.*/="$(pversion)"/' <dkms.conf >debian/dkms.conf

	# Force DKMS to install our modules.
	# This is mostly needed for modules that do not have a version number info, as DKMS
	# will compare their srcversion field, which does not really say which module is newer.
	dh_installdirs -p$(pdkms)  usr/share/dkms/modules_to_force_install/
	echo "$(pname)" > debian/$(pdkms)/usr/share/dkms/modules_to_force_install/$(pname).force
endif

override_dh_installinit:


ifneq ($(WITH_DKMS),1)
override_dh_gencontrol:
	dh_gencontrol -- -v$(pversion)-$(prel).kver.$(KVER1)
endif

ifneq ($(MLNX_KO_NO_STRIP),1)
ifneq ($(WITH_DKMS),1)
override_dh_strip:
	dh_strip
	find debian -name '*.ko' | xargs -r strip -g
ifeq ($(WITH_MOD_SIGN),1)
	tools/sign-modules $(INSTALL_MOD_PATH)/lib/modules/ $(K_BUILD)
endif
endif
endif

=== drivers/nvme/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WITH_DKMS ?= 1
WITH_MOD_SIGN ?= 0
MLXNUMC = $(shell grep ^processor /proc/cpuinfo | wc -l)
NJOBS ?= $(shell if [ $(MLXNUMC) -lt 16 ]; then echo $(MLXNUMC); else echo 16; fi)

pname:=mlnx-nvme
psource:=$(pname)-source
ifeq ($(WITH_DKMS),1)
pdkms:=$(pname)-dkms
else
pdkms:=$(pname)-modules
endif

pversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')
prel := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-\(.\+\)/\2/p')

export INSTALL_MOD_DIR:=updates
export INSTALL_MOD_PATH:=$(CURDIR)/debian/$(pdkms)

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)


KVER ?= $(shell uname -r)
KVER1 = $(shell echo $(KVER) | sed -e 's/_/-/g')
K_BUILD ?= "/lib/modules/$(KVER)/build"

%:
ifeq ($(WITH_DKMS),1)
	dh $@ --with dkms
else
	dh $@
endif

override_dh_auto_clean:

override_dh_auto_configure:

override_dh_auto_build:
ifneq ($(WITH_DKMS),1)
	@echo Building for $(KVER)
	make clean || true
	make -j$(NJOBS) KVER=$(KVER) K_BUILD=$(K_BUILD) CONFIG_NVME_HOST_WITHOUT_FC=
endif

override_dh_auto_test:

override_dh_auto_install:
ifneq ($(WITH_DKMS),1)
	make install INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) INSTALL_MOD_PATH=$(INSTALL_MOD_PATH) KERNELRELEASE=$(KVER) KVER=$(KVER) K_BUILD=$(K_BUILD) CONFIG_NVME_HOST_WITHOUT_FC=
	find $(INSTALL_MOD_PATH) \( -type f -a -name "modules.*" \) -delete
ifeq ($(WITH_MOD_SIGN),1)
	tools/sign-modules $(INSTALL_MOD_PATH)/lib/modules/ $(K_BUILD)
endif
endif

	# For dkms
ifeq ($(WITH_DKMS),1)
	dh_installdirs -p$(pdkms)  usr/src/$(pname)-$(pversion)
	cp makefile debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp Makefile debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp -a common debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp -a target debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp -a host debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp -a lpfc debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	sed -e '/^PACKAGE_VERSION=/s/=.*/="$(pversion)"/' <dkms.conf >debian/dkms.conf

	# Force DKMS to install our modules.
	# This is mostly needed for modules that do not have a version number info, as DKMS
	# will compare their srcversion field, which does not really say which module is newer.
	dh_installdirs -p$(pdkms)  usr/share/dkms/modules_to_force_install/
	echo "$(pname)" > debian/$(pdkms)/usr/share/dkms/modules_to_force_install/$(pname).force
endif

override_dh_installinit:


ifneq ($(WITH_DKMS),1)
override_dh_gencontrol:
	dh_gencontrol -- -v$(pversion)-$(prel).kver.$(KVER1)
endif

ifneq ($(MLNX_KO_NO_STRIP),1)
ifneq ($(WITH_DKMS),1)
override_dh_strip:
	dh_strip
	find debian -name '*.ko' | xargs -r strip -g
ifeq ($(WITH_MOD_SIGN),1)
	tools/sign-modules $(INSTALL_MOD_PATH)/lib/modules/ $(K_BUILD)
endif
endif
endif
